Enable two-factor authentication
Verifies the first code from the authenticator app, turns two-factor on and returns the recovery codes. The codes are shown once.
POST
/v1/users/me/two-factorVerifies the first code from the authenticator app, turns two-factor on and returns the recovery codes. The codes are shown once.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/users/me/two-factor" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "code": "example_code" }'{ "recoveryCodes": [ "example" ]}